Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.inspect.swingui
[Groovy] Class SwingTreeNodeMaker

    java.lang.Object
      groovy.inspect.swingui.SwingTreeNodeMaker

All Implemented Interfaces:
  AstBrowserNodeMaker

    class SwingTreeNodeMaker
    extends Object

Creates tree nodes for swing UI

Authors:
  Roshan Dawrani

Method Summary
`DefaultMutableTreeNode` | `makeNode(Object userObject)`
`DefaultMutableTreeNode` | `makeNodeWithProperties(Object userObject, List properties)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Method Detail

### makeNode

    DefaultMutableTreeNode makeNode(Object userObject)

### makeNodeWithProperties

    DefaultMutableTreeNode makeNodeWithProperties(Object userObject, List properties)

Copyright © 2003-2010 The Codehaus. All rights reserved.